# ace::NGram::Member Class Reference

Single N-gram member representation. More...

`#include <ngram.h>`

List of all members.

## Public Member Functions
| Member (string_index_t lemma, tag_index_t tag, ngram_size_t parent, dependency_index_t dependency)
| Member constructor does the most common construction, just assigns params to their counterparts.
ngram_size_t | parent (void) const
dependency_index_t | dependency (void) const
string_index_t | lemma (void) const
tag_index_t | tag (void) const
## Private Attributes
TaggedLemma | _tagged_lemma
| Lemma (index) and morphologic tag (index) altogether.
ngram_size_t | _parent
| Parent member index.
dependency_index_t | _dependency
| Dependency type (index).

## Detailed Description

Single N-gram member representation.

Just stores some data, does nothing special.

## Constructor & Destructor Documentation

ace::NGram::Member::Member | ( | string_index_t | lemma,
|  | tag_index_t | tag,
|  | ngram_size_t | parent,
|  | dependency_index_t | dependency |
| ) |  |  | `[inline]`

Member constructor does the most common construction, just assigns params to their counterparts.

Parameters:

  | lemma | Lemma (index).
  | tag | Morphologic tag (index).
  | parent | Parent word index.
  | dependency | Dependency type (index).

## Member Function Documentation

ngram_size_t ace::NGram::Member::parent | ( | void |  | ) | const`[inline]`

Returns:
  Parent word index.

dependency_index_t ace::NGram::Member::dependency | ( | void |  | ) | const`[inline]`

Returns:
  Dependency type (index).

string_index_t ace::NGram::Member::lemma | ( | void |  | ) | const`[inline]`

Returns:
  Lemma (index).

tag_index_t ace::NGram::Member::tag | ( | void |  | ) | const`[inline]`

Returns:
  Morphologic tag (index).

## Member Data Documentation

TaggedLemma ace::NGram::Member::_tagged_lemma`[private]`

Lemma (index) and morphologic tag (index) altogether.

ngram_size_t ace::NGram::Member::_parent`[private]`

Parent member index.

dependency_index_t ace::NGram::Member::_dependency`[private]`

Dependency type (index).

The documentation for this class was generated from the following file:

- proto/Source/ngram.h